package com.tzld.piaoquan.risk.control.util;

import java.security.SecureRandom;
import java.util.Base64;
import java.util.UUID;

public class TokenUtil {

    public static String genTokenByUUIDFormat(){
        return UUID.randomUUID().toString();
    }

    public static String generateToken(int tokenLength) {
        SecureRandom random = new SecureRandom();
        byte[] bytes = new byte[tokenLength];
        random.nextBytes(bytes);
        return Base64.getUrlEncoder().withoutPadding().encodeToString(bytes);
    }
}
